Bug 63896 - missing module bsd_comp
missing module bsd_comp
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-20 17:44 EDT by Need Real Name
Modified: 2015-01-04 17:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 01:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-20 17:44:29 EDT
Description of Problem:
After starting pppd, modprobe complains about being unable to find a module
named ppp-compress-21. I figured out this should be aliased to bsd_comp, but
doing so doesn't make it work, because the file bsd_comp.o is missing from
/lib/modules/2.4.18-0.22/kernel/drivers/net/.

Version-Release number of selected component (if applicable):
kernel-2.4.18-0.22

How Reproducible:
every time

Steps to Reproduce:
1. add the line 'alias ppp-compress-21 bsd_comp' to /etc/modules.conf.
2. start pppd over a telephone line (may work with other setups too; I don't know.

Actual Results:
A line in /var/log/messages that says 'modprobe: Can't locate module
ppp-compress-21'.

Expected Results:
No complaints from pppd.

Additional Information:
Comment 1 Need Real Name 2002-05-21 03:38:19 EDT
Same for 7.3 and its update:
* kernel-2.4.18-3.i686.rpm
* kernel-2.4.18-4.i686.rpm
Comment 2 Arjan van de Ven 2002-05-21 04:18:08 EDT
the bsd_comp module is rather buggy and is disabled as a result.
Comment 3 Need Real Name 2002-05-28 17:53:45 EDT
I've also seen this on 7.3 (Both Kernels 2.4.18-3 & 2.4.18-4) I checked the
kernel config files and confirmed that in all the config files this option was
disabled. Any idea if this will get fixed?
Comment 4 Sepp Rudel 2003-06-11 07:24:48 EDT
Arjan, could you please eloborate a bit more about the state of bsd_comp, how
buggy it actually is? What's the main problem? Is there any point to enable it
in any situation?
Comment 5 Davide Bolcioni 2004-01-17 11:11:39 EST
Of course, setting

  alias ppp-compress-21 off # See RedHat Bugzilla 63896

in modules.conf gets rid of the message for us paranoid types.
Comment 6 Dave Jones 2004-12-08 01:59:44 EST
RHL era bug - closing due to end of life.

Note You need to log in before you can comment on or make changes to this bug.